This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477871 - Review Request: perl-ModelSim-List - Analyse the 'list' output of the ModelSim simulator
Review Request: perl-ModelSim-List - Analyse the 'list' output of the ModelSi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 10:30 EST by Chitlesh GOORAH
Modified: 2008-12-30 18:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:42:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-24 10:30:48 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-ModelSim-List.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-ModelSim-List-0.06-1.fc10.src.rpm
Description:
This module provides a class named ModelSim::List with which the EDA tester
can easily check in the signals contained in the files generated by
ModelSim's "write list" command in a programming manner.
Comment 1 Parag AN(पराग) 2008-12-24 11:19:06 EST
Review:
+ package builds in mock (rawhide i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=1020618
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0b77b008d2cd6df14d5486289f28ab80  ModelSim-List-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=4, Tests=287,  0 wallclock secs ( 0.05 usr  0.01 sys +  0.19 cusr  0.01 csys =  0.26 CPU)
+ Package perl-ModelSim-List-0.06-1.fc11 =>
Provides: perl(ModelSim::List) = 0.06
Requires: perl(strict) perl(warnings)

Suggestions:-
  1) Following is not needed in spec
BuildRequires:  perl >= 0:5.004

 APPROVED.
Comment 2 Chitlesh GOORAH 2008-12-27 21:34:41 EST
New Package CVS Request
=======================
Package Name: perl-ModelSim-List - 
Short Description: Analyse the 'list' output of the ModelSim simulator
Owner: chitlesh
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2008-12-28 14:10:28 EST
cvs done.
Comment 4 Fedora Update System 2008-12-30 18:42:02 EST
perl-Hardware-Verilog-Parser-0.13-1.fc10, perl-ModelSim-List-0.06-1.fc10, perl-Perlilog-0.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.